"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinesGLModel = void 0;
const version_1 = require("./version");
const bqplot_1 = require("bqplot");
class LinesGLModel extends bqplot_1.LinesModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { _model_name: LinesGLModel.model_name, _model_module: LinesGLModel.model_module, _model_module_version: LinesGLModel.model_module_version, _view_name: LinesGLModel.view_name, _view_module: LinesGLModel.view_module, _view_module_version: LinesGLModel.view_module_version });
    }
}
exports.LinesGLModel = LinesGLModel;
LinesGLModel.model_name = 'LinesGLModel';
LinesGLModel.model_module = version_1.MODULE_NAME;
LinesGLModel.model_module_version = version_1.MODULE_VERSION;
LinesGLModel.view_name = 'LinesGLView';
LinesGLModel.view_module = version_1.MODULE_NAME;
LinesGLModel.view_module_version = version_1.MODULE_VERSION;
//# sourceMappingURL=LinesGLModel.js.map