"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScatterGLModel = void 0;
const bqplot_1 = require("bqplot");
const version_1 = require("./version");
class ScatterGLModel extends bqplot_1.ScatterModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { _model_name: ScatterGLModel.model_name, _model_module: ScatterGLModel.model_module, _model_module_version: ScatterGLModel.model_module_version, _view_name: ScatterGLModel.view_name, _view_module: ScatterGLModel.view_module, _view_module_version: ScatterGLModel.view_module_version });
    }
}
exports.ScatterGLModel = ScatterGLModel;
ScatterGLModel.model_name = 'ScatterGLModel';
ScatterGLModel.model_module = version_1.MODULE_NAME;
ScatterGLModel.model_module_version = version_1.MODULE_VERSION;
ScatterGLModel.view_name = 'ScatterGLView';
ScatterGLModel.view_module = version_1.MODULE_NAME;
ScatterGLModel.view_module_version = version_1.MODULE_VERSION;
//# sourceMappingURL=ScatterGLModel.js.map